%define		_class		Net
%define		_subclass	Ping
%define		upstream_name	%{_class}_%{_subclass}

%define		_requires_exceptions pear(../../Ping.php)\\|pear(../Ping.php)

Name:		php-pear-%{upstream_name}
Version:	2.4.5
Release:	%mkrel 3
Summary:	Execute ping
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Net_Ping/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
This package provides a PHP wrapper around the ping command.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc %{upstream_name}-%{version}/docs/*
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.4.5-3.mga3
+ Revision: 377024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 2.4.5-2.mga1
+ Revision: 43913
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_Ping

